Summary: The ClanLib Game SDK.
Name: ClanLib
Version: 0.6.1
Release: fr1
License: LGPL
Group: System Environment/Libraries
Source: http://dark.x.dtu.dk/~mbn/clanlib/download/%{name}-%{version}-1.tar.bz2
URL: http://clanlib.org/
Requires: Hermes >= 1.3.0, zlib, libstdc++
BuildRequires: Hermes-devel >= 1.3.0, zlib-devel, mikmod, libpng-devel
BuildRequires: Mesa-devel, vorbis, libvorbis-devel, libjpeg-devel
BuildRequires: libstdc++-devel, freetype-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The ClanLib Game SDK is a crossplatform game library designed to ease the work
for game developers. The goal is to provide a common interface to classical
game problems (loading graphics eg.), so games can share as much code as
possible. Ideally anyone with small resources should be able to write
commercial quality games.


%package network
Summary: ClanLib network module.
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description network
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the network module (clanNetwork).


%package sound
Summary: ClanLib sound module.
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description sound
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the sound module (clanSound).


%package mikmod
Summary: ClanLib MikMod module.
Group: System Environment/Libraries
Requires: %{name} = %{version}, %{name}-sound = %{version}, mikmod

%description mikmod
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the MikMod module (clanMikMod).


%package vorbis
Summary: ClanLib Ogg/Vorbis module.
Group: System Environment/Libraries
Requires: %{name} = %{version}, %{name}-sound = %{version}, vorbis

%description vorbis
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package adds Ogg/Vorbis support to clanlib.


%package gl
Summary: ClanLib OpenGL module.
Group: System Environment/Libraries
Requires: %{name} = %{version}, Mesa

%description gl
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the OpenGL module (clanGL).


%package gui
Summary: ClanLib GUI add-on.
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description gui
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This is the GUI add-on for ClanLib (clanGUI).


%package png
Summary: ClanLib PNG module.
Group: System Environment/Libraries
Requires: %{name} = %{version}, libpng

%description png
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the PNG module (clanPNG).


%package jpeg
Summary: ClanLib JPEG module.
Group: System Environment/Libraries
Requires: %{name} = %{version}, libjpeg

%description jpeg
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the JPEG module (clanJPEG).


%package ttf
Summary: ClanLib TrueType fonts module.
Group: System Environment/Libraries
Requires: %{name} = %{version}, freetype

%description ttf
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package adds TrueType fonts support (clanTTF).


%package smalljpeg
Summary: ClanLib small JPEG module.
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description smalljpeg
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the small JPEG module (clanSmallJPEG).


%package devel
Summary: ClanLib include files and libs for developers.
Group: Development/Libraries
Requires: %{name} = %{version}, %{name}-network, %{name}-sound, %{name}-mikmod
Requires: %{name}-vorbis, %{name}-gl, %{name}-gui, %{name}-png, %{name}-jpeg
Requires: %{name}-ttf, %{name}-smalljpeg

%description devel
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package contains the header files needed to
build ClanLib applications.


%package docs
Summary: ClanLib documentation.
Group: System Environment/Libraries

%description docs
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package contains the documentation.


%prep
%setup -q

# Some people use HORRIBLE editors!!!
# Includes *MUST* end with a newline!
# Fix this up
#for i in `find . -name "*.h" -type f`; do echo >>$i; done

%build
./autogen.sh
%configure --enable-x11 --enable-fbdev --enable-opengl --disable-svgalib --enable-clansound --enable-network --enable-asm386 --enable-dyn --disable-debug
perl -pi -e 's/-O3/$RPM_OPT_FLAGS/' Setup/Unix/Makefile.conf
make clanCore
make clanDisplay
make clanApp
make clanNetwork
make clanSound
make clanMikMod
make clanVorbis
make clanGL
make clanGUI
make clanPNG
make clanJPEG
make clanTTF
make clanSmallJPEG
make strip
make docs

%install
make install installMikMod \
	BIN_PREFIX=%{buildroot}%{_bindir} \
	LIB_PREFIX=%{buildroot}%{_libdir} \
	INC_PREFIX=%{buildroot}%{_includedir} \
	TARGET_PREFIX=%{buildroot}%{_libdir}/%{name}

make docs_install \
	HTML_PREFIX=./Docs

%post -p /sbin/ldconfig
%post network -p /sbin/ldconfig
%post sound -p /sbin/ldconfig
%post mikmod -p /sbin/ldconfig
%post vorbis -p /sbin/ldconfig
%post gl -p /sbin/ldconfig
%post gui -p /sbin/ldconfig
%post png -p /sbin/ldconfig
%post jpeg -p /sbin/ldconfig
%post smalljpeg -p /sbin/ldconfig
%post ttf -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%postun network -p /sbin/ldconfig
%postun sound -p /sbin/ldconfig
%postun mikmod -p /sbin/ldconfig
%postun vorbis -p /sbin/ldconfig
%postun gl -p /sbin/ldconfig
%postun gui -p /sbin/ldconfig
%postun png -p /sbin/ldconfig
%postun jpeg -p /sbin/ldconfig
%postun smalljpeg -p /sbin/ldconfig
%postun ttf -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc BUGS CODING_STYLE COPYING CREDITS NEWS ROADMAP ascii-logo
%doc Documentation/Docs
%{_libdir}/libclanCore.so.*
%{_libdir}/libclanDisplay.so.*
%{_libdir}/libclanApp.so.*

%files network
%defattr(-, root, root)
%{_libdir}/libclanNetwork.so.*

%files sound
%defattr(-, root, root)
%{_libdir}/libclanSound.so.*

%files mikmod
%defattr(-, root, root)
%{_libdir}/libclanMikMod.so.*

%files vorbis
%defattr(-, root, root)
%{_libdir}/libclanVorbis.so.*

%files gl
%defattr(-, root, root)
%{_libdir}/libclanGL.so.*

%files gui
%defattr(-, root, root)
%{_libdir}/libclanGUI.so.*

%files png
%defattr(-, root, root)
%{_libdir}/libclanPNG.so.*

%files jpeg
%defattr(-, root, root)
%{_libdir}/libclanJPEG.so.*

%files ttf
%defattr(-, root, root)
%{_libdir}/libclanTTF.so.*

%files smalljpeg
%defattr(-, root, root)
%{_libdir}/libclanSmallJPEG.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/clanlib-config
%{_includedir}/ClanLib
%{_libdir}/*.a
%{_libdir}/*.so

%files docs
%defattr(-, root, root)
%doc Documentation/Docs/*

%changelog
* Fri Feb  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.4.

* Fri Nov 02 2001 Jeroen Janssen <japj@clanlib.org>
- Update to 0.5.1

* Wed Nov 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 0.5
- Fix up the include files and make a mental note to kill people
  who don't end headers with a newline...
- ExclusiveArch ix86, compiler problems

* Tue Nov 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- ExtraBinge -> Powertools
- Fix a couple of bugs in the spec file
- Fix up the disabled modules, enable them
- Remove SVGALib support (incompatible)
- Fix build on non-x86

